using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;

namespace OrgChartSamples
{
    public static class Strings
    {
        private static ResourceLoader _loader = ResourceLoader.GetForCurrentView("OrgChartSamplesLib/Resources");

        public static string UniqueIdItemsArgumentException
        {
            get
            {
                return _loader.GetString("UniqueIdItemsArgumentException");
            }
        }

        public static string SessionStateErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateErrorMessage");
            }
        }

        public static string SessionStateKeyErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateKeyErrorMessage");
            }
        }

        public static string SuspensionManagerErrorMessage
        {
            get
            {
                return _loader.GetString("SuspensionManagerErrorMessage");
            }
        }

        public static string InitializationException
        {
            get
            {
                return _loader.GetString("InitializationException");
            }
        }

        public static string OrgChartSamplesOverviewTitle
        {
            get
            {
                return _loader.GetString("OrgChartSamplesOverviewTitle");
            }
        }

        public static string OrgChartSamplesOverviewDescription
        {
            get
            {
                return _loader.GetString("OrgChartSamplesOverviewDescription");
            }
        }

        public static string OrgChartSamplesOverviewName
        {
            get
            {
                return _loader.GetString("OrgChartSamplesOverviewName");
            }
        }

        public static string OrgChartSamplesTemplateSelectorTitle
        {
            get
            {
                return _loader.GetString("OrgChartSamplesTemplateSelectorTitle");
            }
        }

        public static string OrgChartSamplesTemplateSelectorDescription
        {
            get
            {
                return _loader.GetString("OrgChartSamplesTemplateSelectorDescription");
            }
        }

        public static string OrgChartSamplesTemplateSelectorName
        {
            get
            {
                return _loader.GetString("OrgChartSamplesTemplateSelectorName");
            }
        }

        public static string OrgChartSamplesHierarchicalSampleTitle
        {
            get
            {
                return _loader.GetString("OrgChartSamplesHierarchicalSampleTitle");
            }
        }

        public static string OrgChartSamplesHierarchicalSampleDescription
        {
            get
            {
                return _loader.GetString("OrgChartSamplesHierarchicalSampleDescription");
            }
        }

        public static string OrgChartSamplesHierarchicalSampleName
        {
            get
            {
                return _loader.GetString("OrgChartSamplesHierarchicalSampleName");
            }
        }

        public static string OrgChartSamplesCollapseExpandTitle
        {
            get
            {
                return _loader.GetString("OrgChartSamplesCollapseExpandTitle");
            }
        }

        public static string OrgChartSamplesCollapseExpandDescription
        {
            get
            {
                return _loader.GetString("OrgChartSamplesCollapseExpandDescription");
            }
        }

        public static string OrgChartSamplesCollapseExpandName
        {
            get
            {
                return _loader.GetString("OrgChartSamplesCollapseExpandName");
            }
        }

        public static string TotalItem
        {
            get
            {
                return _loader.GetString("TotalItem");
            }
        }

        public static string MainLeague
        {
            get
            {
                return _loader.GetString("MainLeague");
            }
        }

        public static string StringNorthSouthEastWest
        {
            get
            {
                return _loader.GetString("StringNorthSouthEastWest");
            }
        }

        public static string StringOneToThree
        {
            get
            {
                return _loader.GetString("StringOneToThree");
            }
        }

        public static string StringOneToFour
        {
            get
            {
                return _loader.GetString("StringOneToFour");
            }
        }

        public static string StringWindowsRT
        {
            get
            {
                return _loader.GetString("StringWindowsRT");
            }
        }

        public static string StringHTML
        {
            get
            {
                return _loader.GetString("StringHTML");
            }
        }

        public static string StringXAML
        {
            get
            {
                return _loader.GetString("StringXAML");
            }
        }

        public static string StringDirectX
        {
            get
            {
                return _loader.GetString("StringDirectX");
            }
        }

        public static string StringJavaScript
        {
            get
            {
                return _loader.GetString("StringJavaScript");
            }
        }

        public static string StringCPoundSign
        {
            get
            {
                return _loader.GetString("StringCPoundSign");
            }
        }

        public static string StringVB
        {
            get
            {
                return _loader.GetString("StringVB");
            }
        }

        public static string StringCDoublePlus
        {
            get
            {
                return _loader.GetString("StringCDoublePlus");
            }
        }

        public static string StringAreas
        {
            get
            {
                return _loader.GetString("StringAreas");
            }
        }

        public static string StringFirstName
        {
            get
            {
                return _loader.GetString("StringFirstName");
            }
        }

        public static string StringLastName
        {
            get
            {
                return _loader.GetString("StringLastName");
            }
        }

        public static string StringVerb
        {
            get
            {
                return _loader.GetString("StringVerb");
            }
        }

        public static string StringAdjective
        {
            get
            {
                return _loader.GetString("StringAdjective");
            }
        }

        public static string StringNoun
        {
            get
            {
                return _loader.GetString("StringNoun");
            }
        }

        public static string StringPositions
        {
            get
            {
                return _loader.GetString("StringPositions");
            }
        }

        public static string Director
        {
            get
            {
                return _loader.GetString("Director");
            }
        }

        public static string Manager
        {
            get
            {
                return _loader.GetString("Manager");
            }
        }

        public static string Designer
        {
            get
            {
                return _loader.GetString("Designer");
            }
        }

        public static string StringFormatTwoArg
        {
            get
            {
                return _loader.GetString("StringFormatTwoArg");
            }
        }

        public static string StringFormatThreeArg
        {
            get
            {
                return _loader.GetString("StringFormatThreeArg");
            }
        }



    }
}
